#include "mp_status_changer.h"
#include "mediaplayer.h"

MediaPlayerStatusChanger::MediaPlayerStatusChanger()
	: StatusChanger(900), disabled(true) {}

MediaPlayerStatusChanger::~MediaPlayerStatusChanger() {}

void MediaPlayerStatusChanger::changeStatus(UserStatus &status)
{
	if (disabled)
		return;

	if (status.description().find("%player%") > -1)
	{
		QString newDesc = status.description().replace("%player%", title);
		status.setDescription(newDesc);
	}
}

void MediaPlayerStatusChanger::setTitle(const QString &newTitle)
{
	disabled = false;

	if (newTitle != title)
	{
		title = newTitle;
		emit statusChanged();
	}
}

void MediaPlayerStatusChanger::disable()
{
	if (!disabled)
	{
		disabled = true;
		emit statusChanged();
	}
}
